<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
	 extract($_POST);
     

     
   
     $qcc1 = "SELECT observaciones from regs2 where idreg=$idregalia";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
           $observ=$rrc[0]." Voucher ".$voucher;
                      

	    
	 	$qPP = "update voucher set total='$restante', restante='$restante' where idv=$voucher";
        $rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
        
        
         $qPP = "update regs2 set status='6', fechaf=curdate(), observaciones='$observ' where idreg=$idregalia";
        $rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());   
 
    $qPP = "insert into unevou (id_vou, id_reg, cantidad, cd) values($voucher, $idregalia, $lareg, $id_cd)";
        $rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());  
            
echo "<table cellspacing=\"10\" cellpadding=\"10\"><tr><td>
<center>
<img src=\"voucher.gif\"><br>
            
  <br>
            <font size=\"5\"><b>Voucher No. $voucher </b></font>";
            
            echo"<br>
            <br>A favor de :<br><b>$ndist</b><br><br>
            Cantidad a Favor:<br>
            <font size=\"5\"><b>$ $restante</b></font><br><br>
            <font size=\"2\">Este voucher no caduca y puede ser utilizado para<br>
            comprar productos en Real Rich Business.</font> </td>
          </center>   <td>
                   <center>
<img src=\"voucher.gif\"><br>
            
  <br>
            <font size=\"5\"><b>Voucher No. $voucher </b></font>";
            
            echo"<br>
            <br>A favor de :<br><b>$ndist</b><br><br>
            Cantidad a Favor:<br>
            <font size=\"5\"><b>$ $restante</b></font><br><br>
            <font size=\"2\">Este voucher no caduca y puede ser utilizado para<br>
            comprar productos en Real Rich Business.</font> </center></td></tr></table>
            
       ";
         
?>